[![Go Report Card](https://goreportcard.com/badge/github.com/livepeer/go-livepeer)](https://goreportcard.com/report/github.com/livepeer/go-livepeer)
[![Discord](https://img.shields.io/discord/423160867534929930.svg?style=flat-square)](https://discord.gg/7wRSUGX)
[![license](https://img.shields.io/badge/license-MIT-blue.svg?style=flat-square)](https://github.com/livepeer/go-livepeer/blob/master/LICENSE)

# go-livepeer

go-livepeer is a Go implementation of the [Livepeer](https://livepeer.org) protocol which powers the Livepeer network, a decentralized video streaming
network built on the Ethereum blockchain.

## Documentation

- User documentation can be found at https://livepeer.org/docs
- Developer documentation (i.e. if you are interested in developing go-livepeer) can be found in the [docs](doc) folder
- Protocol information can found in the [protocol](https://github.com/livepeer/protocol) repo
- Other project information can be found in the [wiki](https://github.com/livepeer/wiki/wiki)

## Install Livepeer

Follow the [installation guide](https://livepeer.org/docs/installation/install-livepeer).

## Run Livepeer

If you are interested in participating using the network as a video developer, check out the [video developer docs](https://livepeer.org/docs/video-developers/overview).

If you are interested in participating in the network as a video miner, check out the [video miner docs](https://livepeer.org/docs/video-miners/overview).

## Contribute

Thank you for your interest in contributing to go-livepeer!

To get started:

- Read the [contribution guide](doc/contributing.md)
- Check out the [open issues](https://github.com/livepeer/go-livepeer/issues)
- Join the #dev channel in the [Discord](https://discord.gg/uaPhtyrWsF)
